[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoDragMsg

Dispatch a drag message, sent by the DragManager

## Declaration

Source position: controls.pp line 1134

`protected function TControl.DoDragMsg(`
`ADragMessage: TDragMessage;`
`APosition: TPoint;`
`ADragObject: TDragObject;`
`ATarget: TControl;`
`ADocking: Boolean`
`):LRESULT; virtual;`

## Description

On dmFindTarget: return Self for the DropOnControl. On dmDragEnter/Leave/Move: invokes DragOver or, if docking, the target.DockOver. Result indicates acceptance of an drop. When the DragObject has been AutoCreated, the dragged control is passed to DragOver as the Sender; otherwise the DragObject itself is passed as Sender. On dmDragDrop: invokes DragDrop or, if docking, the target.DockDrop. Returns nothing!

The latest version of this document can be found at lazarus-ccr.sourceforge.net.